# MatPartitioningChacoSetEigenNumber

Set number of eigenvectors for partitioning.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatPartitioningChacoSetEigenNumber(MatPartitioning part, int num)

### Input Parameter

num -This argument should have a value of 1, 2 or 3 indicating partitioning by bisection, quadrisection, or octosection.

Level:advanced
Location: src/mat/partition/impls/chaco/chaco.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages